> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Order Transactions

> List the Order Transactions.



## OpenAPI

````yaml openapi/ecommerce.yaml get /public/{user_id}/orders/{publicOrder_uuid}/transactions
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/orders/{publicOrder_uuid}/transactions:
    get:
      tags:
        - Order
      summary: List Order Transactions
      description: List the Order Transactions.
      operationId: listOrderTransactions
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: minus
        - name: publicOrder_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: db59ac0c-8827-31ce-8632-a10a7a5af156
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        uuid:
                          type: string
                          example: b28319af-48d1-3c1a-8720-886d58427274
                        type:
                          type: string
                          example: charge
                        status:
                          type: string
                          example: processing
                        gateway_driver:
                          type: string
                          example: cash
                        amount:
                          type: object
                          properties:
                            currency:
                              type: string
                              example: USD
                            amount:
                              type: string
                              example: '90.71'
                            amount_minor:
                              type: integer
                              example: 9071
                        reference:
                          type: string
                          example: 49ef46c6-c768-36e4-af87-f1654e55f667
                        created_at:
                          type: string
                          example: '2026-03-03T14:05:30+00:00'
                    example:
                      - uuid: b28319af-48d1-3c1a-8720-886d58427274
                        type: charge
                        status: processing
                        gateway_driver: cash
                        amount:
                          currency: USD
                          amount: '90.71'
                          amount_minor: 9071
                        reference: 49ef46c6-c768-36e4-af87-f1654e55f667
                        created_at: '2026-03-03T14:05:30+00:00'
                      - uuid: 7358e0ab-216a-3f60-843f-5fe6bc039181
                        type: charge
                        status: processing
                        gateway_driver: cash
                        amount:
                          currency: USD
                          amount: '32.72'
                          amount_minor: 3272
                        reference: c016a561-1c02-3fc9-99fe-e5e7d0232b0b
                        created_at: '2026-03-03T14:05:30+00:00'
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 2
                      per_page:
                        type: integer
                        example: 10
                example:
                  data:
                    - uuid: b28319af-48d1-3c1a-8720-886d58427274
                      type: charge
                      status: processing
                      gateway_driver: cash
                      amount:
                        currency: USD
                        amount: '90.71'
                        amount_minor: 9071
                      reference: 49ef46c6-c768-36e4-af87-f1654e55f667
                      created_at: '2026-03-03T14:05:30+00:00'
                    - uuid: 7358e0ab-216a-3f60-843f-5fe6bc039181
                      type: charge
                      status: processing
                      gateway_driver: cash
                      amount:
                        currency: USD
                        amount: '32.72'
                        amount_minor: 3272
                      reference: c016a561-1c02-3fc9-99fe-e5e7d0232b0b
                      created_at: '2026-03-03T14:05:30+00:00'
                  meta:
                    current_page: 1
                    total: 2
                    per_page: 10
              example:
                data:
                  - uuid: b28319af-48d1-3c1a-8720-886d58427274
                    type: charge
                    status: processing
                    gateway_driver: cash
                    amount:
                      currency: USD
                      amount: '90.71'
                      amount_minor: 9071
                    reference: 49ef46c6-c768-36e4-af87-f1654e55f667
                    created_at: '2026-03-03T14:05:30.0000000+00:00'
                  - uuid: 7358e0ab-216a-3f60-843f-5fe6bc039181
                    type: charge
                    status: processing
                    gateway_driver: cash
                    amount:
                      currency: USD
                      amount: '32.72'
                      amount_minor: 3272
                    reference: c016a561-1c02-3fc9-99fe-e5e7d0232b0b
                    created_at: '2026-03-03T14:05:30.0000000+00:00'
                meta:
                  current_page: 1
                  total: 2
                  per_page: 10
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````